Summary: A set of system configuration and setup files.
Name: setup
Version: 2.2.9
Release: 17tr
License: public domain
Group: Trustix Official
Source1: setup-csh.cshrc
Source2: setup-csh.login
Source3: setup-exports
Source4: setup-filesystems
Source5: setup-group
Source6: setup-host.conf
Source7: setup-hosts.allow
Source8: setup-hosts.deny
Source9: setup-inputrc
Source10: setup-motd
Source11: setup-passwd
Source12: setup-printcap
Source13: setup-profile
Source14: setup-protocols
Source15: setup-proxy
Source16: setup-proxy.csh
Source17: setup-proxy.sh
Source18: setup-securetty
Source19: setup-services
Source20: setup-shadow
Source21: setup-shells
Source22: setup-system-auth.pam
Buildroot: /var/tmp/%{name}-root
BuildRequires: coreutils

%description
The setup package contains a set of important system configuration and
setup files, such as passwd, group, and profile.

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/lastlog

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/csh.cshrc
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/csh.login
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/exports
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/filesystems
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/group
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/host.conf
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/hosts.allow
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/hosts.deny
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/etc/inputrc
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/motd
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT/etc/passwd
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT/etc/printcap
install -m 755 %{SOURCE13} $RPM_BUILD_ROOT/etc/profile
install -m 644 %{SOURCE14} $RPM_BUILD_ROOT/etc/protocols
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT/etc/sysconfig/proxy
install -m 755 %{SOURCE16} $RPM_BUILD_ROOT/etc/profile.d/proxy.csh
install -m 755 %{SOURCE17} $RPM_BUILD_ROOT/etc/profile.d/proxy.sh
install -m 600 %{SOURCE18} $RPM_BUILD_ROOT/etc/securetty
install -m 644 %{SOURCE19} $RPM_BUILD_ROOT/etc/services
install -m 600 %{SOURCE20} $RPM_BUILD_ROOT/etc/shadow
install -m 644 %{SOURCE21} $RPM_BUILD_ROOT/etc/shells
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT/etc/pam.d/system-auth

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/passwd
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/group
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/services
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/exports
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/filesystems
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/host.conf
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/hosts.allow
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/hosts.deny
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/motd
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/printcap
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/inputrc
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/profile
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/shells
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/pam.d/system-auth
%attr(600,root,root) %verify(not md5 size mtime) %config(noreplace missingok) /etc/shadow
%attr(644,root,root) %config(noreplace) /etc/protocols
%attr(600,root,root) %config(noreplace missingok) /etc/securetty
%attr(644,root,root) %config(noreplace) /etc/csh.login
%attr(644,root,root) %config(noreplace) /etc/csh.cshrc
%attr(644,root,root) %config(noreplace) /etc/sysconfig/proxy
%attr(755,root,root) /etc/profile.d
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /var/log/lastlog

%changelog
* Thu Sep 22 2005 Bipin S <bipin at comodo dot com> 2.2.9-17tr
- Changed postgresql home directory to /var/lib/postgresql in setup-passwd.
  Bug #1283.
- Added User, Group info for quagga  

* Thu Sep 08 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.2.9-16tr
- Added user distcache

* Tue Aug 23 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.2.9-15tr
- Added User, Group info for mrtg and amanda

* Fri Aug 12 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.2.9-14tr
- Added swup user/group for SoftWare UPdater

* Wed Aug 10 2005 Nived Gopalan <nived at comodo dot com> 2.2.9-13tr
- Added cvs passwd/group

* Mon Aug  8 2005 Erlend Midttun <erlendbm at trustix dot org> 2.2.9-11tr
- Moved /etc/sysconfig/mta to mta package.

* Thu Jul 29 2005 Erlend Midttun <erlendbm at trustix dot org> 2.2.9-10tr
- Added /etc/sysconfig/mta

* Thu Jun 16 2005 Bipin S <bipin at comodo dot com> 2.2.9-9tr
- /usr/local/sbin added to PATH in setup-profile

* Mon Apr 25 2005 Bipin S  <bipin at comodo dot com> 2.2.9-7tr
- Repetition in $PATH fixed. Bug #426

* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.2.9-6tr
- Added Audio group to setup-group [ Fixed Bug #214 ]

* Tue Apr  5 2005 Erlend Midttun <erlendbm at trustix dot org> 2.2.9-5tr
- Add system-auth

* Wed Mar 23 2005 Bipin S <bipin at comodo dot com> 2.2.9-4tr
- Added /etc/services with sieve entrys
- Fixed Bug #31

* Thu Mar 17 2005 Nived Gopalan  <nived at comodo dot com> 2.2.9-3tr
- Rebuilt 

* Wed Mar  9 2005 Ajith Thampi <ajith at comodo dot com> 2.2.9-2tr
- Added for Bug #101 in inputrc
- Fixed filelist

* Wed Jan  5 2005 Erlend Midttun <erlendbm at trustix dot org> 2.2.9-1tr
- Add lmtp ports.

* Wed Nov 26 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.8-2tr
- Add amavis group.

* Wed Nov 17 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.8-1tr
- Remove mailman group/passwd.

* Fri Oct 22 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.6-1tr
- Now have separate sources.

* Tue Jan 27 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.5-1tr
- Now even source the proxy file.

* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot org> 2.2.4-1tr
- Added /etc/sysconfig/proxy with the variables used by urllib (swup)
  and wget.

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 2.2.3-4tr
- Now unset $LANG before running the profile.d's.

* Fri Sep  5 2003 Chr. Toldnes <christht at trustix dot com> 2.2.3-3tr
- Updated /etc/services (gnatsd)

* Tue Jul  1 2003 Roland Kruse <rolandk at trustix dot com> 2.2.3-2tr
- Updated /etc/protocols, /etc/services.

* Sat Jun 28 2003 Goetz Bock <bock at trustix dot org> 2.2.3-1bg
- passwd and group were inconsistent for slapd
- added tftp user / group
- removed patches, as they had been integraded

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.2-2tr
- Big rebuild

* Fri Jun  6 2003 Tore Olsen <toreo at trustix dot com> 2.2.2-1to
- Don't recreate shadow each time package is built
- Added user for openldap (slapd)

* Mon Jun  2 2003 Roland Kruse <rolandk at trustix dot com> 2.2.1-3rk
- Added isakmp service at port 500 (patch1)

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.1-2em
- fileutils -> coreutils.

* Fri May 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.1-1em
- Now use ~/Maildir also with tcsh.

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-7em
- Now use ~/Maildir

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-6em
- More passwd stuff

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-5em
- More passwd stuff

* Wed Apr 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-4em
- Wrong home directory on a few users.

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-3em
- Rearranged the uid and gid in passwd and group to make them cleaner.

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-2em
- Stripped all but the last Red Hat changelog entry.
- Added %attr to make build independent of umask on build box.
- Autocreate shadow file from passwd.

* Mon Apr 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-1em
- Repackaged.
- Removed root as member of various groups in /etc/group.

* Mon Feb 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1.8-11em
- New inputrc.
- New services.

* Thu Jan 16 2003 Goetz Bock <bock at trustix dot org> 2.1.8-10bg
- added some secure TTYs to patch1

* Thu Jul 18 2002 Christian H. Toldnes <christht at trustix dot com> 2.1.8-9ct
- Added LANG setting in /etc/profile

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 2.1.8-8ct
- Rebuild for TSL 2.0

* Fri Jul 12 2002 Christian H. Toldnes <christht at trustix dot com> 2.1.8-7tr
- Correct simap/pop3s entries in /etc/services

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Wed Nov 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Visible bell
- Changed prompt
- Changed path
- Umask 077
- More norplace
- Removed references to printtool in printcap.

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- add /etc/filesystems with sane defaults

